<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::NetworkData::BorderRouterEntry Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a4b5a94d51657059590f93b1154a4f2ee">ClearConfigure</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#aaf07466f2181a24282d6986f5a943fd7">ClearDefaultRoute</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a6457becc9298917d6c134a3dfeedfe47">ClearDhcp</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#acd86e6cac09b7848359ce10cc52bf289">ClearOnMesh</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a2f894a14f1f28c1719282a4190d14088">ClearPreferred</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a044a176edbcefd7d8ce23aec2e4e76ae">ClearSlaac</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a134ba714ed023e6e632a732288991dc6">GetFlags</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#ad4e72cfbc88a537f30ee61f6c8176913">GetPreference</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#af46474a303cb601ee647ea39660b6a07">GetRloc</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#ae719459638bae433026c7bc43e643d96">Init</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#aa0d54ff42613eeb0a4c510535fbe3aed">IsConfigure</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#aa9c48016b846b002c858f69a2143a10b">IsDefaultRoute</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a33178a534e67fc122220e28d77f26e64">IsDhcp</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#afee6e69c2d58a79c9c22a93dfcb966ea">IsOnMesh</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a295d4e743042a5b995fc222dd286b621">IsPreferred</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#ad1294bc438ca13972f93358036200bef">IsSlaac</a>() const </td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kConfigureFlag</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kDefaultRouteFlag</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kDhcpFlag</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kOnMeshFlag</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kPreferenceMask</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kPreferenceOffset</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kPreferredFlag</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kSlaacFlag</b> enum value (defined in <a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a>)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a8871e157a23a68f4d296c50c594ce027">SetConfigure</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#abe0e36a130c454b8f4a615adef171959">SetDefaultRoute</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a220cdfeb5b67f227f66db66530c6bf36">SetDhcp</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a4674e7cd29600273d26da729585176a8">SetFlags</a>(uint8_t aFlags)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a2a19d33e4ee221ae8e42ce13084fd2b2">SetOnMesh</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a476693d756cfe0dee6d6f60ede7b2daa">SetPreference</a>(int8_t aPrf)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a2fdba3655a66a78c058801bb8cf5b4df">SetPreferred</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a3a5f9b543ac49d0b7b28c4d07748b771">SetRloc</a>(uint16_t aRloc16)</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a10d3fc09627f0f5ca5dc7ad2d9093a67">SetSlaac</a>()</td><td class="entry"><a class="el" href="../../d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html">Thread::NetworkData::BorderRouterEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
